# AIEventCompanyMerger Class Reference

Event Company Merger, indicating a company has been bought by another company. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventCompanyMerger:

## Public Member Functions
| AIEventCompanyMerger (Owner old_owner, Owner new_owner)
AICompany::CompanyID | GetOldCompanyID ()
| Get the CompanyID of the company that has been bought.
AICompany::CompanyID | GetNewCompanyID ()
| Get the CompanyID of the new owner.
## Static Public Member Functions
static const char * | GetClassName ()
static AIEventCompanyMerger * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
AICompany::CompanyID | old_owner
AICompany::CompanyID | new_owner

## Detailed Description

Event Company Merger, indicating a company has been bought by another company.

Definition at line 356 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventCompanyMerger::AIEventCompanyMerger | ( | Owner | old_owner,
|  | Owner | new_owner |
| ) |  |  | `[inline]`

Parameters:

  | old_owner | The company bought off.
  | new_owner | The company that bougth owner.

Definition at line 364 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventCompanyMerger* AIEventCompanyMerger::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 375 of file ai_event_types.hpp.

AICompany::CompanyID AIEventCompanyMerger::GetOldCompanyID | ( |  | ) | `[inline]`

Get the CompanyID of the company that has been bought.

Returns:
  The CompanyID of the company that has been bought.

Note:
  : The value below is not valid anymore as CompanyID, and AICompany::ResolveCompanyID will return COMPANY_COMPANY. It's only usefull if you're keeping track of company's yourself.

Definition at line 384 of file ai_event_types.hpp.

AICompany::CompanyID AIEventCompanyMerger::GetNewCompanyID | ( |  | ) | `[inline]`

Get the CompanyID of the new owner.

Returns:
  The CompanyID of the new owner.

Definition at line 390 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp